curl --request POST \
--url https://api.synctera.com/v2/external_accounts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"account_identifiers": {
"iban": "LI4476584648937N59B00",
"number": "78277121"
},
"account_owner_names": [
"Jane Smith"
],
"routing_identifiers": {
"bank_countries": [
"US"
],
"bank_name": "Chase",
"ach_routing_number": "756392185",
"eft_ca_routing_number": "02101140",
"wire_routing_number": "915075033"
},
"business_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"currency": "USD",
"customer_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"metadata": {},
"nickname": "Vacation savings",
"tenant": "abcdef_ghijkl",
"vendor_account_id": "blgvvBlXw3cq5GMPwqB6s6q4dLKB9WcVqGDGo",
"verification": {
"creation_time": "2010-05-06T12:23:34.321Z",
"last_updated_time": "2010-05-06T12:23:34.321Z"
}
}
'import requests
url = "https://api.synctera.com/v2/external_accounts"
payload = {
"account_identifiers": {
"iban": "LI4476584648937N59B00",
"number": "78277121"
},
"account_owner_names": ["Jane Smith"],
"routing_identifiers": {
"bank_countries": ["US"],
"bank_name": "Chase",
"ach_routing_number": "756392185",
"eft_ca_routing_number": "02101140",
"wire_routing_number": "915075033"
},
"business_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"currency": "USD",
"customer_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"metadata": {},
"nickname": "Vacation savings",
"tenant": "abcdef_ghijkl",
"vendor_account_id": "blgvvBlXw3cq5GMPwqB6s6q4dLKB9WcVqGDGo",
"verification": {
"creation_time": "2010-05-06T12:23:34.321Z",
"last_updated_time": "2010-05-06T12:23:34.321Z"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
account_identifiers: {iban: 'LI4476584648937N59B00', number: '78277121'},
account_owner_names: ['Jane Smith'],
routing_identifiers: {
bank_countries: ['US'],
bank_name: 'Chase',
ach_routing_number: '756392185',
eft_ca_routing_number: '02101140',
wire_routing_number: '915075033'
},
business_id: '7d943c51-e4ff-4e57-9558-08cab6b963c7',
currency: 'USD',
customer_id: '7d943c51-e4ff-4e57-9558-08cab6b963c7',
metadata: {},
nickname: 'Vacation savings',
tenant: 'abcdef_ghijkl',
vendor_account_id: 'blgvvBlXw3cq5GMPwqB6s6q4dLKB9WcVqGDGo',
verification: {
creation_time: '2010-05-06T12:23:34.321Z',
last_updated_time: '2010-05-06T12:23:34.321Z'
}
})
};
fetch('https://api.synctera.com/v2/external_accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"account_identifiers": {
"number": "78277121",
"iban": "LI4476584648937N59B00"
},
"account_owner_names": [
"Jane Smith"
],
"creation_time": "2010-05-06T12:23:34.321Z",
"id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"last_updated_time": "2010-05-06T12:23:34.321Z",
"routing_identifiers": {
"bank_countries": [
"US"
],
"bank_name": "Chase",
"ach_routing_number": "756392185",
"bank_address": {
"address_line_1": "100 Main St.",
"country_code": "US",
"address_line_2": "Suite 99",
"address_type": "SHIPPING",
"city": "New York",
"id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"is_registered_agent": true,
"nickname": "Home",
"postal_code": "28620",
"state": "NY"
},
"correspondent_bank_details": [
{
"bank_address": {
"address_line_1": "100 Main St.",
"country_code": "US",
"address_line_2": "Suite 99",
"address_type": "SHIPPING",
"city": "New York",
"id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"is_registered_agent": true,
"nickname": "Home",
"postal_code": "28620",
"state": "NY"
},
"bank_name": "Bank of Greece",
"swift_code": "BNGRGRAAXXX"
}
],
"eft_ca_routing_number": "02101140",
"eft_routing_number": "02101140",
"network": "ALGORAND",
"swift_code": "CHASUS3AXXX",
"wire_routing_number": "756392185"
},
"status": "ACTIVE",
"type": "CHECKING",
"verification": {
"status": "UNVERIFIED",
"vendor": "FINICITY",
"creation_time": "2010-05-06T12:23:34.321Z",
"last_updated_time": "2010-05-06T12:23:34.321Z"
},
"business_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"currency": "USD",
"customer_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"deletion_time": "2010-05-06T12:23:34.321Z",
"metadata": {},
"name": "Plaid Checking",
"nickname": "Vacation savings",
"status_reason": "<string>",
"tenant": "abcdef_ghijkl",
"vendor_data": {
"account_number_mask": "<string>",
"institution_id": "<string>"
},
"vendor_info": {
"content_type": "application/json",
"json": {},
"vendor": "SOCURE"
}
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}Add an external account
Add an external account for a customer. The account will be created in an unverified state.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
An idempotency key is an arbitrary unique value generated by client to detect subsequent retries of the same request. It is recommended that a UUID or a similar random identifier be used as an idempotency key. A different key must be used for each request, unless it is a retry.
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Body
The identifiers for the account. At least one of number or iban must be specified. Account number or IBAN can be specified for international accounts. For domestic accounts, only account number is required.
Show child attributes
Show child attributes
The names of the account owners.
11The type of customer in the external financial institution. Not necessarily the customer type on Synctera's platform: a business customer might link to the owner's personal account at an external financial institution.
BUSINESS, PERSONAL Show child attributes
Show child attributes
The type of the account
CHECKING, CRYPTO_WALLET, OTHER_BANK_ACCOUNT, SAVINGS, WALLET The identifier for the business customer associated with this external account. Exactly one of business_id or customer_id must be specified.
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
ISO 4217 alphabetic currency code
^[A-Z]{3}$"USD"
The identifier for the personal customer associated with this external account. Exactly one of customer_id or business_id must be specified.
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
User-supplied metadata
A user-meaningful name for the account
1"Vacation savings"
The id of the tenant containing the resource. This is relevant for Fintechs that have multiple workspaces.
"abcdef_ghijkl"
The ID of the vendor account, will be empty for MANUAL vendor
1"blgvvBlXw3cq5GMPwqB6s6q4dLKB9WcVqGDGo"
Information about the account verification process. If the account has not been verified, this will be null.
- Information specific to Plaid verification
- Information specific to Finicity verification
- Information specific to Manual verification
Show child attributes
Show child attributes
Response
The external account added.
Show child attributes
Show child attributes
The names of the account owners. Values may be masked, in which case the array will be empty.
"2010-05-06T12:23:34.321Z"
External account unique identifier
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
"2010-05-06T12:23:34.321Z"
Show child attributes
Show child attributes
The current state of the account
ACTIVE, CLOSED, DELETED, INACTIVE The type of the account
CHECKING, CREDIT_CARD, CRYPTO_WALLET, INVESTMENT_529, MONEY_MARKET, OTHER, OTHER_BANK_ACCOUNT, SAVINGS, WALLET Information about the account verification process. If the account has not been verified, this will be null.
- Information specific to Plaid verification
- Information specific to Finicity verification
- Information specific to Manual verification
Show child attributes
Show child attributes
The identifier for the business customer associated with this external account. Exactly one of business_id or customer_id will be returned.
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
ISO 4217 alphabetic currency code
^[A-Z]{3}$"USD"
The identifier for the personal customer associated with this external account. Exactly one of customer_id or business_id will be returned.
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
"2010-05-06T12:23:34.321Z"
User-supplied JSON format metadata.
The official name of the account
"Plaid Checking"
A user-meaningful name for the account
"Vacation savings"
The reason for the status for the external account.
The id of the tenant containing the resource. This is relevant for Fintechs that have multiple workspaces.
"abcdef_ghijkl"
Show child attributes
Show child attributes
The information provided to Synctera from the vendor. Interpretation of this object is up to the client.
- Vendor Info
- Vendor Info
Show child attributes
Show child attributes
Was this page helpful?

